+++
title = "Ellipsoid"
+++

### Ellipsoid

A full ellipsoid.

<img src="/img/draw/ff/3d/Ellipsoid.png" width="30%" >
<img src="/img/draw/ff/2d/Ellipsoid_xy.svg" width="30%">
<img src="/img/draw/ff/2d/Ellipsoid_xz.svg" width="30%">

#### Constructor

```python
Ellipsoid(R_x, R_y, R_z)
```

Parameters:
- R_x, radius $R_{x}$ in $x$ direction
- R_y, radius $R_{y}$ in $y$ direction
- R_z, radius $R_{z}$ in $z$ direction

#### Usage

As for any other [Form factor](/ref/sample/particle/ff).

#### Implementation

Class {{% ref-class "Sample/HardParticle" "Ellipsoid" %}} inherits from the interface class
{{% ref-class "Sample/Particle" "Formfactor" %}}.

Form factor is computed as

$$ F(\mathbf{q})=4\pi R_xR_yR_z \exp(iq_zR_z) \dfrac{\sin(s) - s \cos(s)\}{s^3} , $$
with the notation
$$ s := \sqrt{(R_xq_x)^2 + (R_yq_y)^2+ (R_zq_z)^2}. $$

Volume [has been validated]({{% url-src %}}/Tests/Unit/Sample/FormfactorBasicTest.cpp)
against
$$ V=\dfrac{4\pi}{3} R_xR_yR_z. $$

#### Related shapes

More special:
- [Spheroid](/ref/sample/particle/ff/hard/spheroid), if $R_x=R_y$.
- [Sphere](/ref/sample/particle/ff/hard/sphere), if $R_x=R_y=R_z$.

More general:

- [EllipsoidalSegment](/ref/sample/particle/ff/hard/ellipsoidalsegment)
  
#### Example

Scattering by uncorrelated, oriented ellipsoids for horizontal incidence. Rotation around $z$ axis:

<img src="/img/auto/ff/Ellipsoid.png">

Generated by {{% ref-ex "sas/sas-ff.py" %}} (`particle_geometry=Ellipsoid`).

#### History

Introduced in v24.
